Subject: [p2p-sip] Comments on concepts-02

From: jiqingwu at gmail.com (jiqing wu)
Date: Thu, 26 Oct 2006 22:04:48 +0800

>Node and peer definitions.

>The concept draft considers 'peer' as an entity that participates in
>the p2p network (routing decisions, storage) and equates 'peer' with a
>'node'.

>The peer typically means 'super node' in the unstructured P2P literature
>and a 'node' in the DHT literature.

>A 'node' encompasses both 'peer' and 'client' functionality in some
>papers and architectures. See for example, "Understanding KaZaA" paper
>where it is prefixed with 'super'-node and 'ordinary' node.

>I think it will be helpful to make those distinctions a bit more clear in
>the concepts draft.

>Regards,
>Salman

decentralized and unstructured p2p systems have no supernode. To
them,peer is equal to node.